RSS Feed
Latest Updates
Dec
31
Minor Changes to Policies due to Brexit
Posted by Paul Woodland on 31 December 2020 07:03 PM

As many customers will be aware, in 2016 the United Kingdom voted to leave the European Union. Although this happened earlier in 2020, it is only now at the end of 2020 that the transition period is ending and so changes have been needed.

We have therefore had to make a few minor changes to our legal agreements to comply with the new laws. As the UK government only announced what rules would apply a few days before they would take effect, this could only be completed at the last minute.

The new updated agreements apply from the 1st January 2021 (tomorrow) and are available on our website:

https://www.liquidsix.com/legal

Only minor changes have been made, including changing references to GDPR to the equivalent new UK law and references to the UK being within the EEA needing changing. A few other minor changes have been made at the same time, including removing our old payment processor, WorldPay. No changes have been made to how we process your personal data.

For customers within the EU, there will be VAT changes required (including us being issued with a new VAT number for EU use - the current number will stay the same for UK use). Due to the law, these changes can not be made until after the 1st January, so you will see these changes take effect in the first half of January.

If you have any questions about these changes, please do not hesitate to contact us.

Regards,
The LiquidSix Team


Read more »



Nov
21
.Net 5.0 Available Now!
Posted by Paul Woodland on 21 November 2020 02:50 AM

The latest release of Microsoft's .Net Platform is available on our services now. The new .Net 5.0 brings together the best of the .Net Framework with the best of .Net Core, and is the future for both of these existing platforms.

It is available now on all plans that include ASP.Net, and can be turned on from the "Website Settings" page for your domain in our control panel. All existing versions of the .Net Framework (2.0 to 4.8) and .Net Core (1.0 to 3.1) are of course still available to use as well.

If you have any questions about using the new platform, please do not hesitate to contact us.


Read more »